# [[file:../../../interfaces.org::*Create Base Sites][Create Base Sites:1]]
from django.core.management.base import BaseCommand, CommandError
from django.conf import settings
import json

import arcology.models
import roam.models
import generators.models

import logging
logger = logging.getLogger(__name__)

class Command(BaseCommand):
    help = 'Seed site objects, etc.'
    output_transaction = True
    requires_migrations_checks = True

    def handle(self, *args, **kwargs):
        generator_roles = generators.models.GeneratorRole.get_or_create_many(settings.ARROYO_ROLES)

        sites_path = settings.BASE_DIR / "arcology/settings/sites.json"
        with open(sites_path, "r") as f:
          sites = json.load(f)

        for site in sites:
            the_site = arcology.models.Site.objects.create(
                key=site["key"],
                title=site["title"],
                css_file=site["css_file"],
                link_color=site["link_color"],
            )
            for domain in site["domains"]:
                the_site.sitedomain_set.create(domain=domain)
# Create Base Sites:1 ends here
