# [[file:../../arcology.org::*=0001_base=][=0001_base=:1]]
# Generated by Django 4.2.6 on 2023-12-18 02:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    replaces = [("arcology", "0001_initial"), ("arcology", "0002_sitedomain_domain")]

    dependencies = [
        ("roam", "0005_alter_link_dest_heading"),
    ]

    operations = [
        migrations.CreateModel(
            name="Site",
            fields=[
                (
                    "key",
                    models.CharField(max_length=512, primary_key=True, serialize=False),
                ),
                ("title", models.CharField(max_length=512)),
                (
                    "css_file",
                    models.CharField(blank=True, default=None, max_length=512),
                ),
                (
                    "link_color",
                    models.CharField(blank=True, default=None, max_length=8),
                ),
            ],
        ),
        migrations.CreateModel(
            name="SiteDomain",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="arcology.site"
                    ),
                ),
                ("domain", models.CharField(default="localhost", max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name="Page",
            fields=[
                (
                    "route_key",
                    models.CharField(max_length=512, primary_key=True, serialize=False),
                ),
                ("title", models.CharField(max_length=512)),
                ("allow_crawl", models.BooleanField(default=False)),
                (
                    "file",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="roam.file"
                    ),
                ),
                (
                    "root_heading",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="roam.heading"
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="arcology.site"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Feed",
            fields=[
                (
                    "route_key",
                    models.CharField(max_length=512, primary_key=True, serialize=False),
                ),
                ("title", models.CharField(max_length=512)),
                (
                    "visibility",
                    models.CharField(
                        choices=[
                            ("unlisted", "Unlisted"),
                            ("private", "Private"),
                            ("public", "Public"),
                            ("direct", "direct"),
                        ],
                        max_length=512,
                    ),
                ),
                (
                    "file",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="roam.file"
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="arcology.site"
                    ),
                ),
            ],
        ),
    ]
# =0001_base=:1 ends here
