# [[file:scaffolding.org::*Nix package for the service][Nix package for the service:1]]
{
  pkgs ? import <nixpkgs> {},
  lib  ? pkgs.lib,
  python3,

  arroyo_rs,
}:

python3.pkgs.buildPythonPackage rec {
  pname = "arcology";
  version = "0.0.1";
  format = "pyproject";

  src = ./.;

  nativeBuildInputs = with pkgs; [];

  propagatedBuildInputs = (with pkgs; [
    arroyo_rs
  ]) ++ (with python3.pkgs; [
    arrow
    click
    django_4
    django-prometheus
    django-htmx
    (django-stubs-ext.override { django = django_4; })
    (django-stubs.override { django = django_4; })
    gunicorn
    polling
    setuptools
  ]);

  passthru.gunicorn = python3.pkgs.gunicorn;

  meta = with lib; {
    description = "An org-mode site engine";
    homepage = "https://engine.arcology.garden/";
    license = licenses.unfree;
    maintainers = with maintainers; [ rrix ];
  };
}
# Nix package for the service:1 ends here
