# [[file:scaffolding.org::*A Flake to tie everything together and make it possible to run remotely][A Flake to tie everything together and make it possible to run remotely:1]]
{
  description = "Arcology Site Engine, Django Edition";

  inputs.nixpkgs.follows = "arroyo_rs/nixpkgs";
  inputs.flake-utils.url = "github:numtide/flake-utils";
  inputs.arroyo_rs.url = "git+https://code.rix.si/rrix/arroyo";

  outputs = { self, nixpkgs, flake-utils, arroyo_rs }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
          config.allowUnfree = true;
        };

        python3 = pkgs.python3;
        arroyo = arroyo_rs.packages.${system}.default;
      in
        {
          devShells.default = pkgs.callPackage ./shell.nix {
            inherit python3;
            arroyo_rs = arroyo;
          };

          packages = rec {
            arcology = pkgs.callPackage ./default.nix {
              inherit python3;
              arroyo_rs = arroyo;
            };
            inherit arroyo;
            default = arcology;
          };

          apps = rec {
            arcology = flake-utils.lib.mkApp {
              drv = self.packages.${system}.arcology;
              exePath = "/bin/arcology";
            };
            # he he he
            arroyo = flake-utils.lib.mkApp {
              drv = self.packages.${system}.arroyo;
              exePath = "/bin/arroyo";
            };
            default = arcology;
          };
        }
    );
}
# A Flake to tie everything together and make it possible to run remotely:1 ends here
