from django.contrib import admin
from django.urls import path, re_path, include

from localapi import views

urlpatterns = [
    path("", views.index),
    path("generate/<slug:module>/<slug:role>", views.generate, name="keyword_by_key"),
    path("generate/<slug:module>", views.generate, name="keyword_by_key"),
    path("keywords/<slug:key>", views.keyword_by_key, name="keyword_by_key"),
    re_path("keywords/(?P<key>[0-9a-zA-Z_-]+)/(?P<value>[0-9a-zA-Z/_\-]+)", views.keyword_by_key_value, name="keyword_by_key"),
    re_path("page/(?P<route_key>[0-9a-zA-Z/_\-]+)", views.page_metadata, name="page_metadata"),
    re_path("file/(?P<file_path>[0-9a-zA-Z/_\-\.]+)", views.file_metadata, name="file_metadata"),
]
