# [[file:../roam.org::*Admin][Admin:1]]
from django.contrib import admin

from django.contrib import admin
import roam.models

class KeywordInline(admin.TabularInline):
    model = roam.models.Keyword

class HeadingInline(admin.TabularInline):
    model = roam.models.Heading

class LinkInline(admin.TabularInline):
    model = roam.models.Link
    fk_name = "source_heading"

class PropertyInline(admin.TabularInline):
    model = roam.models.HeadingProperty

class TagInline(admin.TabularInline):
    model = roam.models.Tag

class ReferenceInline(admin.TabularInline):
    model = roam.models.Reference


@admin.register(roam.models.HeadingProperty)
class PropertyAdmin(admin.ModelAdmin):
    list_display = ["heading", "keyword", "value"]


@admin.register(roam.models.Keyword)
class KeywordAdmin(admin.ModelAdmin):
    list_display = ["path", "keyword", "value"]

@admin.register(roam.models.Reference)
class ReferenceAdmin(admin.ModelAdmin):
    list_display = ["heading", "ref"]

@admin.register(roam.models.Tag)
class TagAdmin(admin.ModelAdmin):
    list_display = ["heading", "tag"]

@admin.register(roam.models.File)
class FileAdmin(admin.ModelAdmin):
    inlines = [
        KeywordInline,
        HeadingInline,
    ]

@admin.register(roam.models.Heading)
class HeadingAdmin(admin.ModelAdmin):
    list_display = ["node_id", "path"]
    inlines = [
        TagInline,
        ReferenceInline,
        PropertyInline,
        LinkInline,
    ]

admin.site.register(roam.models.Link)
# Admin:1 ends here
