# [[file:../../roam.org::*split up the migration][split up the migration:1]]
# Generated by Django 4.2.6 on 2023-12-17 20:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    replaces = [
        ("roam", "0001_initial"),
        ("roam", "0002_link_file_inbound_files_heading_inbound_headings"),
        ("roam", "0003_remove_link_dest_file_remove_link_dest_heading_and_more"),
        ("roam", "0004_remove_file_inbound_files_remove_heading_id_and_more"),
        ("roam", "0005_alter_link_dest_heading"),
    ]

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="File",
            fields=[
                (
                    "path",
                    models.CharField(max_length=512, primary_key=True, serialize=False),
                ),
                ("digest", models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name="Keyword",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("keyword", models.CharField(max_length=512)),
                ("value", models.CharField(max_length=512)),
                (
                    "path",
                    models.ForeignKey(
                        db_column="path",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.file",
                    ),
                ),
            ],
            options={
                "unique_together": {("path", "keyword", "value")},
            },
        ),
        migrations.CreateModel(
            name="Link",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.TextField()),
                (
                    "dest_file",
                    models.ForeignKey(
                        default="",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="inbound_links",
                        to="roam.file",
                    ),
                ),
                (
                    "source_file",
                    models.ForeignKey(
                        default="",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="outbound_links",
                        to="roam.file",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Heading",
            fields=[
                (
                    "node_id",
                    models.CharField(max_length=256, primary_key=True, serialize=False),
                ),
                ("level", models.IntegerField()),
                ("title", models.TextField()),
                (
                    "path",
                    models.ForeignKey(
                        db_column="path",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.file",
                    ),
                ),
                (
                    "inbound_headings",
                    models.ManyToManyField(
                        related_name="outbound_headings",
                        through="roam.Link",
                        to="roam.heading",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="link",
            name="source_heading",
            field=models.ForeignKey(
                default="",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="outbound_links",
                to="roam.heading",
            ),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name="link",
            name="dest_file",
        ),
        migrations.CreateModel(
            name="Reference",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ref", models.CharField(max_length=256)),
                (
                    "heading",
                    models.ForeignKey(
                        db_column="node_id",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.heading",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Tag",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("tag", models.CharField(max_length=256)),
                (
                    "heading",
                    models.ForeignKey(
                        db_column="node_id",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.heading",
                    ),
                ),
            ],
            options={
                "unique_together": {("heading_id", "tag")},
            },
        ),
        migrations.AddField(
            model_name="link",
            name="dest_heading",
            field=models.ForeignKey(
                db_constraint=False,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="inbound_links",
                to="roam.heading",
            ),
        ),
    ]
# split up the migration:1 ends here
