# Generated by Django 4.2.6 on 2023-11-12 20:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="File",
            fields=[
                (
                    "path",
                    models.CharField(max_length=512, primary_key=True, serialize=False),
                ),
                ("digest", models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name="Heading",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("node_id", models.CharField(max_length=256)),
                ("level", models.IntegerField()),
                ("title", models.TextField()),
                (
                    "path",
                    models.ForeignKey(
                        db_column="path",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.file",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Reference",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ref", models.CharField(max_length=256)),
                (
                    "heading",
                    models.ForeignKey(
                        db_column="heading_id",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.heading",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Tag",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("tag", models.CharField(max_length=256)),
                (
                    "heading",
                    models.ForeignKey(
                        db_column="heading_id",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.heading",
                    ),
                ),
            ],
            options={
                "unique_together": {("heading_id", "tag")},
            },
        ),
        migrations.CreateModel(
            name="Keyword",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("keyword", models.CharField(max_length=512)),
                ("value", models.CharField(max_length=512)),
                (
                    "path",
                    models.ForeignKey(
                        db_column="path",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="roam.file",
                    ),
                ),
            ],
            options={
                "unique_together": {("path", "keyword", "value")},
            },
        ),
    ]
