# [[file:scaffolding.org::*Dev Environment][Dev Environment:1]]
{ pkgs ? import <nixpkgs> {},
  python3 ? pkgs.python3,

  arroyo_rs ? pkgs.callPackage /home/rrix/org/arroyo/default.nix {},
}:
let
  myPython = python3.withPackages( pp: with pp; [
    pip
    pytest
    mypy

    arrow
    arroyo_rs
    django_4
    django-prometheus
    django-htmx
    (django-stubs-ext.override { django = django_4; })
    (django-stubs.override { django = django_4; })
    gunicorn
    polling
  ]);
in pkgs.mkShell {
  packages = (with pkgs; [
    maturin
    myPython

    pyright
    black]);
  RUST_SRC_PATH = "${pkgs.rust.packages.stable.rustPlatform.rustLibSrc}";
  NIX_CONFIG = "builders =";
  shellHook = ''
    PYTHONPATH=${myPython}/${myPython.sitePackages}
  '';
}
# Dev Environment:1 ends here
